-- --------------------------------------------------
--
-- FTDMS! SQL file for installation
--
-- --------------------------------------------------
DROP TABLE IF EXISTS mydb_advert;
CREATE TABLE mydb_advert (
  id int(11) NOT NULL AUTO_INCREMENT,
  adtitle char(100) DEFAULT NULL,
  adurl char(80) DEFAULT NULL,
  adflag tinyint(1) DEFAULT '0',
  adtype tinyint(1) DEFAULT '0',
  begintime datetime DEFAULT NULL,
  endtime datetime DEFAULT NULL,
  ad_h int(11) DEFAULT '0',
  ad_w int(11) DEFAULT '0',
  ad_pic varchar(100) DEFAULT '0',
  category_id int(11) DEFAULT NULL COMMENT '广告所有位置',
  ad_asc tinyint(4) DEFAULT '0' COMMENT '广告排序',
  bytime timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (id),
  KEY bedate (begintime,endtime) USING BTREE,
  KEY adtitle (adtitle) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='网站广告';

INSERT INTO mydb_advert VALUES ('1', 'FTDMS新版发布', 'http://www.ftsucai.com', '0', '1', '2019-10-01 00:00:00', '2029-10-03 00:00:00', '80', '1158', 'upload/user_ad/5d95fc8eb8ccd.png','1','0', '2019-10-03 21:50:06');

DROP TABLE IF EXISTS mydb_attachmng;
CREATE TABLE mydb_attachmng (
  attach_id int(11) NOT NULL AUTO_INCREMENT,
  category_id int(11) DEFAULT NULL COMMENT '信息分类ID',
  msg_id int(11) DEFAULT NULL COMMENT '信息ID',
  attach_path varchar(200) DEFAULT NULL COMMENT '附件路径',
  attach_size int(11) DEFAULT NULL COMMENT '附件大小',
  attach_ext varchar(10) DEFAULT NULL COMMENT '附件扩展名类型',
  thumbnail_path varchar(200) DEFAULT NULL COMMENT '缩略图路径',
  index_box int(2) DEFAULT '0' COMMENT '为1时box显示',
  addtime datetime DEFAULT NULL COMMENT '入库时间',
  PRIMARY KEY (attach_id),
  KEY msg_id (msg_id) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='图片表';

DROP TABLE IF EXISTS mydb_category;
CREATE TABLE mydb_category (
  category_id int(11) NOT NULL AUTO_INCREMENT,
  category_name varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  category_parentid int(11) DEFAULT '0',
  category_status int(11) DEFAULT '1',
  category_order int(11) DEFAULT NULL,
  category_url varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  category_type int(11) DEFAULT NULL,
  category_desc text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  category_createtime timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (category_id),
  KEY category_order (category_order) USING BTREE,
  KEY category_parentid (category_parentid) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8 COMMENT='分类';

INSERT INTO mydb_category VALUES ('1', '网站源码', '0', '1', '1', '', null, '投票,论坛,上传,下载,文章,会员,交友,商城,网店,留言,日记', '2019-09-14 10:14:01');
INSERT INTO mydb_category VALUES ('2', '网站模板', '0', '1', '2', '', null, '蓝色,紫色,黄色,红色,绿色,灰色,bootstrap,宽屏模板,清新,简约', '2019-09-14 13:29:48');
INSERT INTO mydb_category VALUES ('3', '网页特效', '0', '1', '3', '', null, '导航,菜单,选项卡,瀑布流,手风琴,提示框,弹出层,jQuery,广告', '2019-09-15 13:33:04');
INSERT INTO mydb_category VALUES ('4', '网页素材', '0', '1', '4', '', null, '黄色,蓝色,红色,灰色,粉色,背景,海景,海滩', '2019-09-25 21:28:59');
INSERT INTO mydb_category VALUES ('5', 'html5&css3', '0', '1', '5', '', null, 'loading,登录页,圆角按钮,css3表格,button,表单样式,响应式,菜单', '2019-09-25 21:38:49');
INSERT INTO mydb_category VALUES ('6', '小程序源码', '0', '1', '6', '', null, '商城,模板,菜单,布局', '2019-09-25 22:06:16');
INSERT INTO mydb_category VALUES ('33', 'JAVA源码', '1', '1', '4', '', null, '投票,论坛,上传,下载,文章,会员,交友,商城,网店,留言,日记', '2019-09-14 10:14:23');
INSERT INTO mydb_category VALUES ('8', 'PHP源码', '1', '1', '1', '', null, '投票,论坛,上传,下载,文章,会员,交友,商城,网店,留言,日记', '2019-09-14 10:12:46');
INSERT INTO mydb_category VALUES ('9', 'ASP源码', '1', '1', '2', '', null, '投票,论坛,上传,下载,文章,会员,交友,商城,网店,留言,日记', '2019-09-14 10:14:07');
INSERT INTO mydb_category VALUES ('10', 'NET源码', '1', '1', '3', '', null, '投票,论坛,上传,下载,文章,会员,交友,商城,网店,留言,日记', '2019-09-14 10:14:16');
INSERT INTO mydb_category VALUES ('11', '其他源码', '1', '1', '5', '', null, '投票,论坛,上传,下载,文章,会员,交友,商城,网店,留言,日记', '2019-09-14 10:14:31');
INSERT INTO mydb_category VALUES ('12', '后台UI模板', '2', '1', '1', '', null, '蓝色,紫色,黄色,红色,绿色,灰色,bootstrap,宽屏模板,清新,简约', '2019-09-14 13:29:07');
INSERT INTO mydb_category VALUES ('13', '菜单导航', '3', '1', '1', '', null, '导航,菜单,选项卡,瀑布流,手风琴,提示框,弹出层,jQuery,广告', '2019-09-15 13:33:11');
INSERT INTO mydb_category VALUES ('14', '广告代码', '3', '1', '2', '', null, '导航,菜单,选项卡,瀑布流,手风琴,提示框,弹出层,jQuery,广告', '2019-09-15 13:33:17');
INSERT INTO mydb_category VALUES ('15', '选项卡TAB', '3', '1', '3', '', null, '导航,菜单,选项卡,瀑布流,手风琴,提示框,弹出层,jQuery,广告', '2019-09-15 13:33:23');
INSERT INTO mydb_category VALUES ('16', '瀑布流特效', '3', '1', '4', '', null, '导航,菜单,选项卡,瀑布流,手风琴,提示框,弹出层,jQuery,广告', '2019-09-15 13:33:30');
INSERT INTO mydb_category VALUES ('17', 'jQuery特效', '3', '1', '5', '', null, '导航,菜单,选项卡,瀑布流,手风琴,提示框,弹出层,jQuery,广告', '2019-09-15 13:33:36');
INSERT INTO mydb_category VALUES ('18', '手风琴效果', '3', '1', '6', '', null, '导航,菜单,选项卡,瀑布流,手风琴,提示框,弹出层,jQuery,广告', '2019-09-15 13:33:44');
INSERT INTO mydb_category VALUES ('19', '图标素材', '4', '1', '1', '', null, '黄色,蓝色,红色,灰色,粉色,背景,海景,海滩', '2019-09-25 21:29:09');
INSERT INTO mydb_category VALUES ('20', '按钮素材', '4', '1', '2', '', null, '黄色,蓝色,红色,灰色,粉色,背景,海景,海滩', '2019-09-25 21:29:17');
INSERT INTO mydb_category VALUES ('21', 'CSS3实例', '5', '1', '1', '', null, 'loading,登录页,圆角按钮,css3表格,button,表单样式,响应式,菜单', '2019-09-25 21:39:14');
INSERT INTO mydb_category VALUES ('22', 'html5实例', '5', '1', '2', '', null, 'loading,登录页,圆角按钮,css3表格,button,表单样式,响应式,菜单', '2019-09-25 21:39:33');
INSERT INTO mydb_category VALUES ('23', '前端源码', '6', '1', '1', '', null, '商城,模板,菜单,布局', '2019-09-25 22:06:25');
INSERT INTO mydb_category VALUES ('24', '后端源码', '6', '1', '2', '', null, '商城,模板,菜单,布局', '2019-09-25 22:06:35');
INSERT INTO mydb_category VALUES ('34', '商城模板', '2', '1', '4', '', null, '蓝色,紫色,黄色,红色,绿色,灰色,bootstrap,商城,清新,简约', '2019-09-14 13:31:04');
INSERT INTO mydb_category VALUES ('35', '主机域名模板', '2', '1', '5', '', null, '蓝色,紫色,黄色,红色,绿色,灰色,bootstrap,宽屏,清新,简约', '2019-09-14 13:31:19');
INSERT INTO mydb_category VALUES ('28', '后台登录模板', '2', '1', '2', '', null, '蓝色,紫色,黄色,红色,绿色,灰色,bootstrap,宽屏模板,清新,简约', '2019-09-14 13:29:54');
INSERT INTO mydb_category VALUES ('30', '企业网站模板', '2', '1', '3', '', null, '蓝色,紫色,黄色,红色,绿色,灰色,bootstrap,响应式,清新,简约', '2019-09-14 13:30:22');
INSERT INTO mydb_category VALUES ('31', '字体素材', '4', '1', '3', '', null, '黄色,蓝色,红色,灰色,粉色,背景,海景,海滩', '2019-09-25 21:29:27');
INSERT INTO mydb_category VALUES ('32', '纹理背景', '4', '1', '4', '', null, '黄色,蓝色,红色,灰色,粉色,背景,海景,海滩', '2019-09-25 21:29:38');
INSERT INTO mydb_category VALUES ('36', '响应式模板', '2', '1', '6', '', null, '蓝色,紫色,黄色,红色,绿色,灰色,bootstrap,宽屏模板,清新,简约', '2019-09-14 13:31:28');
INSERT INTO mydb_category VALUES ('37', 'Bootstrap模板', '2', '1', '7', '', null, '蓝色,紫色,黄色,红色,绿色,灰色,bootstrap,宽屏模板,清新,简约', '2019-09-14 13:31:34');
INSERT INTO mydb_category VALUES ('38', 'DIV+CSS布局', '5', '1', '3', '', null, 'loading,登录页,圆角按钮,css3表格,button,表单样式,响应式,菜单', '2019-09-25 21:39:49');
INSERT INTO mydb_category VALUES ('39', '提示框/弹出层', '3', '1', '7', '', null, '导航,菜单,选项卡,瀑布流,手风琴,提示框,弹出层,jQuery,广告', '2019-09-15 13:33:54');
INSERT INTO mydb_category VALUES ('40', '山水图片', '4', '1', '5', '', null, '黄色,蓝色,红色,灰色,粉色,背景,海景,海滩', '2019-09-25 21:29:48');
INSERT INTO mydb_category VALUES ('41', '海景图片', '4', '1', '6', '', null, '黄色,蓝色,红色,灰色,粉色,背景,海景,海滩', '2019-09-25 21:30:07');
INSERT INTO mydb_category VALUES ('42', '桌面背景图', '4', '1', '7', '', null, '黄色,蓝色,红色,灰色,粉色,背景,海景,海滩', '2019-09-25 21:30:20');

DROP TABLE IF EXISTS mydb_categorymng;
CREATE TABLE mydb_categorymng (
  categorymng_id bigint(20) NOT NULL AUTO_INCREMENT,
  category_id int(11) DEFAULT NULL COMMENT '所属分类ID',
  msg_id bigint(20) DEFAULT NULL,
  hits_num bigint(20) DEFAULT '0' COMMENT '点击数',
  down_num bigint(255) DEFAULT '0',
  fav_num int(11) DEFAULT '0' COMMENT '收藏数',
  categorymng_status tinyint(2) DEFAULT '1',
  categorymng_modifytime timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (categorymng_id),
  KEY msg_id (msg_id) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=74 DEFAULT CHARSET=utf8 COMMENT='信息分类关联表';


DROP TABLE IF EXISTS mydb_content;
CREATE TABLE mydb_content (
  id int(5) NOT NULL AUTO_INCREMENT,
  about longtext CHARACTER SET utf8 COMMENT '关于我们',
  bottom longtext CHARACTER SET utf8 COMMENT '页脚内容',
  agreement longtext CHARACTER SET utf8 COMMENT '用户协议',
  copyright longtext CHARACTER SET utf8 COMMENT '版权声明',
  PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=gbk COMMENT='模板内容';

INSERT INTO mydb_content VALUES('1','资料整理中。。。','<div class=\"foot\">\r\n本站部分带宽由 中国电信厦门分公司 赞助 (合作QQ：123291926 MSN：cht21#163.com)\r\n<br />\r\n#ftdms#\r\n<br /> &copy; CopyRight 2005-2010, <a href=\"http://www.ftsucai.com\">FTSUCAI.COM</a>, Inc.All Rights Reserved.\r\n <br />网站备案号: <a href=\"http://www.miibeian.gov.cn\">#beian#</a>  <a href=\"#copyright#\">版权声明</a><br />\r\n</div>\r\n</div>\r\n</div>\r\n<div style=\"display:none\">#StatCode#</div>\r\n','<h3>第一条 服务内容</h3> \r\n<p>飞天素材网的内容由本站通过互联网采集或用户上传而来。飞天素材网保留变更、中断或终止部分网络服务的权利。 飞天素材网保留根据实际情况随时调整飞天素材网平台提供的服务种类、形式。飞天素材网不承担因业务调整给用户造成的损失。</p> \r\n<h3>第二条 内容使用</h3> \r\n<p>我们鼓励用户充分利用飞天素材网平台，自由的上传资源采集发布他们自己的资源信息。您可以自由上传或下载飞天素材网的资源等内容，但这些内容必须位于公共领域内，或者您拥有这些内容的使用权。用户对经由飞天素材网平台上传、粘贴或传送的内容承担全部责任。未经版权人许可，用户不得在飞天素材网平台上采集发布任何受版权保护的内容。用户对于其创作并在飞天素材网上发布的合法内容依法享有著作权及其相关权利。</p> \r\n<p>对于用户通过飞天素材网上传到飞天素材网站上的任何内容，即视为用户授予飞天素材网在全世界范围内具有免费的、永久的、不可撤销的、非独家的许可以及再许可的权利。飞天素材网采集发布的资源信息内容的版权归飞天素材网所有，非经飞天素材网许可，任何用户或者第三方不得复制、修改或者转载该内容，或者将其用于任何商业目的。</p> \r\n<h3>第三条 知识产权</h3> \r\n<p>本网站的整体内容版权属于飞天素材网站长所有。本网站所有的产品资源、技术与所有程序均属于飞天素材网知识产权，在此并未授权。本网站所有产品资源及服务名称。任何人不得私自复制、传播、刻碟、镜像或用作其他商业用途。否则，我们将追究相关法律责任。</p> \r\n<h3>第四条 隐私保护</h3> \r\n<p>保护用户隐私是飞天素材网的重点原则，飞天素材网通过技术手段、提供隐私保护服务功能、强化内部管理等办法充分保护用户的个人资料安全。飞天素材网保证不对外公开或向第三方提供用户注册的个人资料，及用户在使用服务时存储的非公开内容， 但下列情况除外：</p> \r\n<p>◇ 事先获得用户的明确授权；</p> \r\n<p>◇ 根据有关的法律法规要求；</p> \r\n<p>◇ 按照相关司法机构或政府主管部门的要求；</p> \r\n<h3>第五条 免责声明</h3> \r\n<p>互联网是一个开放平台，用户将照片等个人资料上传到互联网上，有可能会被其他组织或个人复制、转载、擅改或做 其它非法用途，用户必须充分意识此类风险的存在。用户明确同意其使用飞天素材网服务所存在的风险将完全由其自己承担；因其使用飞天素材网服务而产生的一切后果也由 其自己承担，我们对用户不承担任何责任。我们不保证服务一定能满足用户的要求，也不保证服务不会中断，对服务的及时性、安全性、准确性也都不作保证。对于 因不可抗力或飞天素材网无法控制的原因造成的网络服务中断或其他缺陷，飞天素材网不承担任何责任。我们有权判断用户的行为是否符合本网站使用资源协议条款之规定，如果我们认为用户违背了资源协议条款的规定，我们有终止向其提供网站服务的权利 。</p> \r\n<h3>第六条 服务变更、中断或终止</h3> \r\n<p>如因系统维护或升级的需要而需暂停网络服务、服务功能的调整，飞天素材网将尽可能事先在网站上进行通告。 如发生下列任何一种情形，飞天素材网有权单方面中断或终止向用户提供服务而无需通知用户：</p> \r\n<p>◇ 用户提供的个人资料不真实；</p> \r\n<p>◇ 用户违反本注册条款中规定的使用规则；</p> \r\n<p>◇ 未经飞天素材网同意，将飞天素材网平台用于商业目的。</p> \r\n<h3>第七条 注册条款的完善和修改</h3> \r\n<p>飞天素材网会有权根据互联网的发展和中华人民共和国有关法律、法规的变化，不时地完善和修改飞天素材网注册条款。飞天素材网保留随时修改注册条款的权利，用户在使用飞天素材网平台服务时，有必要对最新的飞天素材网注册条款进行仔细阅读和重新确认，当发生有关争议时，请以最新的注册条款为准。</p>  \r\n<h3>第八条 特别约定</h3> \r\n<p>用户使用本服务的行为若有任何违反国家法律法规或侵犯任何第三方的合法权益的情形时，飞天素材网有权直接删除该等 违反规定之信息，并可以暂停或终止向该用户提供服务。 若用户利用本服务从事任何违法或侵权行为，由用户自行承担全部责任，因此给飞天素材网或任何第三方造成任何损失，用户应负责全额赔偿。</p> \r\n<h3>第九条 其他</h3> \r\n<p>本用户条款的订立、执行和解释及争议的解决均应适用中华人民共和国法律。 如用户就本协议内容或其执行发生任何争议，用户应尽量与我们友好协商解决；协商不成时，任何一方均可向飞天素材网所在地的人民法院提起诉讼。我们未行使或执行 本服务协议任何权利或规定，不构成对前述权利或权利之放弃。如本用户条款中的任何条款无论因何种原因完全或部分无效或不具有执行力，本用户条款的其余条款 仍应有效并且有约束力。对注册条款的解释、修改及更新权均属于飞天素材网所有。</p>','<p>一、由于飞天素材网上的作品均由用户自行发布，故飞天素材网没有能力审查作品是否存在侵权等情节，但为切实维护权利人的合法权益，飞天素材网依据《中华人民共和国侵权责任法》、《中国人民共和国著作权法》、《信息网络传播权保护条例》等法律法规及相关规章制度的规定，采取如下知识产权保护措施：</p> \r\n  <p>1、飞天素材网向用户传达版权保护理念，提示用户不得上传和传播侵权作品。同时，飞天素材网对上传作品进行严格审查，向网络用户公示飞天素材网的基本审查标准，提示用户严格遵守法律法规及尊重他人合法权益。</p> \r\n  <p>2、对于违反规定，上传侵权作品的傲视用户，飞天素材网将依照《会员上传与下载协议》、《违规处罚规定》等规定对其进行处罚。</p> \r\n  <p>3、对于有理由确信存在明显侵权、违法、违反公共利益等情形的作品，飞天素材网有权在不事先通知的情况下删除该侵权作品。</p> \r\n  <p>4、飞天素材网支持权利人（包括版权人、肖像权人等）将侵权情况告知飞天素材网，飞天素材网也愿意与权利人合作净化网络空间，减少侵权行为的发生。飞天素材网将在接到符合要求的权利通知后，审查后可删除涉嫌侵权的作品和相关内容。</p> \r\n  <p>5、飞天素材网鼓励用户对飞天素材网上的作品进行全面监督，飞天素材网会在第一时间对举报进行核实，及时清理侵权作品。</p> \r\n  <p>6、用户下载飞天素材网上的作品，只应在学习、交流、分享的范围内使用，不得用于任何商业用途的范围。同时，用户应自觉遵守著作权法及其他相关法律的规定，不得侵犯本网站及权利人的合法权利。</p> \r\n  <p>7、如果任何第三方侵犯了飞天素材网用户相关权利，用户同意授权飞天素材网或其指定的代理人代表飞天素材网自身或用户对该第三方提出警告、投诉、发起行政执法、诉讼、进行上诉或谈判和解，并且用户同意在飞天素材网认为必要的情况下参与共同维权。</p> \r\n  <p>&nbsp;</p> \r\n  <p>二、飞天素材网（www.ftsucai.com）的任何相关软件、程序、内容，包括但不限于作品、图片、档案、资料、网站构架、网站版面的安排、网页设计、经由飞天素材网或广告商向用户呈现的广告或资讯的知识产权均属飞天素材网所有。未经飞天素材网许可，任何人不得复制或模仿飞天素材网，也不得在非飞天素材网（www.ftsucai.com）所属服务器上建立镜像。飞天素材网的知识产权受法律保护，未经飞天素材网书面许可，任何单位或个人不得以任何理由和方式使用。凡侵犯飞天素材网知识产权的，飞天素材网必依法追究其法律责任。</p> \r\n  <p>三、飞天素材网用户所发表的言论仅代表其个人，不代表飞天素材网观点。用户在飞天素材网（www.ftsucai.com）发表言论的，视为其已经知道并理解这一声明。</p> \r\n  <p>&nbsp;</p> \r\n  <p> <strong>版权处理联系方式：</strong></p> \r\n  <p>QQ： 123291926</p> \r\n  <p>邮箱：123291926@qq.com</p> \r\n  <p>&nbsp;</p>');

DROP TABLE IF EXISTS mydb_favorites;
CREATE TABLE mydb_favorites (
  id int(11) NOT NULL AUTO_INCREMENT,
  scuser_id int(10) DEFAULT '0',
  msg_id int(10) DEFAULT '0',
  favtime timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (id),
  UNIQUE KEY scuser_msg_id (scuser_id,msg_id) USING BTREE,
  KEY msg_id (msg_id) USING BTREE,
  KEY scuser_id (scuser_id) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=gbk COMMENT='用户收藏';

INSERT INTO mydb_favorites VALUES ('29', '30', '32', '2019-09-22 15:10:43');
INSERT INTO mydb_favorites VALUES ('28', '30', '29', '2019-09-22 15:10:41');
INSERT INTO mydb_favorites VALUES ('30', '30', '35', '2019-09-22 15:10:46');
INSERT INTO mydb_favorites VALUES ('32', '30', '51', '2019-09-22 21:54:26');
INSERT INTO mydb_favorites VALUES ('33', '30', '41', '2019-09-22 21:54:31');

DROP TABLE IF EXISTS mydb_message;
CREATE TABLE mydb_message (
  msg_id bigint(20) NOT NULL AUTO_INCREMENT,
  msg_title varchar(200) DEFAULT NULL COMMENT '标题',
  msg_titlecolor varchar(15) DEFAULT NULL COMMENT '标题色码',
  msg_content text COMMENT '内容',
  msg_keyword varchar(255) DEFAULT NULL COMMENT '关键字',
  msg_demourl varchar(100) DEFAULT NULL COMMENT '演示地址',
  msg_order int(11) DEFAULT '1' COMMENT '排序号',
  msg_downurl varchar(100) DEFAULT NULL COMMENT '下载地址',
  msg_integral int(10) DEFAULT '0' COMMENT '下载扣的积分数',
  msg_poster int(20) DEFAULT NULL COMMENT '信息发布人用户ID',
  msg_createtime timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  msg_starttime datetime DEFAULT NULL COMMENT '有效开始时间',
  msg_endtime datetime DEFAULT NULL COMMENT '结束时间',
  msg_status tinyint(2) DEFAULT '1' COMMENT '状态1为启用2为禁用3为投稿',
  msg_tuijian tinyint(1) DEFAULT '0' COMMENT '1为推存素材',
  msg_isad tinyint(1) DEFAULT '0' COMMENT '1为广告信息',
  msg_submit tinyint(1) DEFAULT '0' COMMENT '0为未提交到百度搜索,1为已提交到百度搜索',
  PRIMARY KEY (msg_id),
  KEY msg_title (msg_title) USING BTREE,
  KEY msgdate (msg_starttime,msg_endtime) USING BTREE,
  KEY msg_order (msg_order) USING BTREE,
  KEY msg_poster (msg_poster) USING BTREE,
  KEY msg_status (msg_status) USING BTREE,
  KEY msg_isad (msg_isad) USING BTREE,
  KEY msg_tuijian (msg_tuijian) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8 COMMENT='信息内容';

DROP TABLE IF EXISTS mydb_mydown;
CREATE TABLE mydb_mydown (
  id int(11) NOT NULL AUTO_INCREMENT,
  scuser_id int(11) DEFAULT NULL COMMENT '用户ID',
  msg_id int(11) DEFAULT NULL COMMENT '信息ID',
  integral int(11) DEFAULT NULL COMMENT '扣的积分',
  add_time timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (id),
  KEY scuser_id (scuser_id) USING BTREE,
  KEY msg_id (msg_id) USING BTREE,
  KEY user_id_time (scuser_id,add_time) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='下载记录表';

DROP TABLE IF EXISTS mydb_scuser;
CREATE TABLE mydb_scuser (
  ID bigint(20) NOT NULL AUTO_INCREMENT,
  UserName varchar(50) DEFAULT NULL,
  Password varchar(128) DEFAULT NULL,
  LastLoginIP varchar(20) DEFAULT NULL,
  LastLoginTime datetime DEFAULT NULL,
  LoginTimes int(11) DEFAULT NULL,
  AdminType tinyint(4) DEFAULT '0' COMMENT '1为管理员',
  UserType tinyint(1) DEFAULT '0' COMMENT '0未付费1已付费',
  isCheck tinyint(1) DEFAULT '1' COMMENT '1为已审核',
  inBlack tinyint(1) DEFAULT '0' COMMENT '1为加入黑名单',
  isLock tinyint(1) DEFAULT '0' COMMENT '1为锁定',
  JFM varchar(50) DEFAULT NULL COMMENT '激活码',
  jfmsign tinyint(1) DEFAULT '0' COMMENT '1为已激活',
  Group_id int(11) DEFAULT '0',
  Money int(8) DEFAULT '0' COMMENT '充值金额',
  endtime datetime DEFAULT NULL,
  PRIMARY KEY (ID),
  UNIQUE KEY UserName (UserName) USING BTREE,
  KEY Group_id (Group_id) USING BTREE,
  KEY jfm_jfmsign (JFM,jfmsign) USING BTREE,
  KEY isCheck (isCheck) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8 COMMENT='网站用户';

INSERT INTO mydb_scuser VALUES ('1', 'admin', 'e10adc3949ba59abbe56e057f20f883e', '', '2019-10-01 14:25:27', '134', '1', '0', '1', '0', '0', '123', '1', '1', '10000','');

DROP TABLE IF EXISTS mydb_siteconfig;
CREATE TABLE mydb_siteconfig (
  id int(11) NOT NULL AUTO_INCREMENT,
  site_name varchar(50) DEFAULT NULL,
  statcode varchar(30) DEFAULT NULL COMMENT '备案序号',
  site_filesize int(2) DEFAULT NULL,
  site_icp varchar(50) DEFAULT NULL,
  site_url varchar(50) DEFAULT NULL,
  site_session tinyint(1) DEFAULT NULL,
  site_num smallint(2) DEFAULT NULL COMMENT '前台列表分页数',
  site_admin_num smallint(2) DEFAULT NULL COMMENT '后台每页显示记录数',
  index_cate_num int(5) DEFAULT NULL COMMENT '首页各分类显示数',
  html_flag tinyint(1) DEFAULT '0' COMMENT '伪静态标识1为开启',
  site_copyright varchar(200) DEFAULT NULL,
  site_filetype varchar(100) DEFAULT NULL,
  site_key varchar(50) DEFAULT NULL,
  site_desc text,
  linkoff tinyint(1) DEFAULT '0' COMMENT '防盗链标识1为开启',
  downoff tinyint(1) DEFAULT '0' COMMENT '1为开启注册用户才允许下载',
  smtpoff tinyint(4) DEFAULT '0' COMMENT '邮件发送开关1开启',
  smtpserver varchar(30) DEFAULT NULL COMMENT '邮件发送服务器地址',
  smtpusermail varchar(50) DEFAULT NULL COMMENT '发送邮件的email地址',
  smtpport varchar(50) DEFAULT NULL COMMENT '邮箱服务器端口',
  openssl tinyint(1) DEFAULT '1' COMMENT '默认1开启0关闭',
  smtppass varchar(50) DEFAULT NULL COMMENT '发送邮箱密码',
  alipay_id varchar(100) DEFAULT NULL,
  alipay_key varchar(100) DEFAULT NULL,
  alipay_email varchar(50) DEFAULT NULL,
  notify_url varchar(100) DEFAULT NULL,
  return_url varchar(100) DEFAULT NULL,
  ym varchar(30) DEFAULT NULL COMMENT '授权域名',
  sn varchar(50) DEFAULT NULL COMMENT '授权序列号',
  baidu_api varchar(100) DEFAULT NULL,
  baidu_token varchar(50) DEFAULT NULL,
  reset_pwd varchar(20) DEFAULT NULL COMMENT '重置默认密码',
  PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='站点配置';

INSERT INTO mydb_siteconfig VALUES ('1', '飞天素材网', null, '5', '闽ICP备19020719-1号', 'http://www.ftsucai.com', '0', '20', '20', '4', '0', '飞天下载系统', 'jpg|gif|png', '下载系统,CMS系统,素材下载系统,源码下载,模板下载,bootstrap后台模板,响应式后台模板,', '下载系统,CMS系统,素材下载系统,源码下载,模板下载,bootstrap后台模板,响应式后台模板,响应式后台管理模板,html5后台管理模板,oa系统模板,统计后台,ui框架', '0', '0', '0', 'smtp.qq.com', 'abc@qq.com', '465', 'abcdcohsfvbdbjkec', '1', '合作身份者ID', '安全检验码', '支付宝帐号 ', 'http://localhost/alipay/notify_url.php', 'http://localhost/alipay/return_url.php', 'localhost', '1111111111111', 'http://data.zz.baidu.com/urls', 'xxxxxxxxxxxxxxxx','ftsucai.com');

DROP TABLE IF EXISTS mydb_trade;
CREATE TABLE mydb_trade (
  id int(11) NOT NULL AUTO_INCREMENT,
  scuser_id int(11) DEFAULT NULL,
  trade_no varchar(30) DEFAULT NULL COMMENT '交易号',
  payment float(10,2) DEFAULT NULL COMMENT '交易金额',
  goods varchar(50) DEFAULT NULL COMMENT '商品名称',
  goods_desc varchar(255) DEFAULT NULL COMMENT '商品描述',
  trade_time timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '交易时间',
  PRIMARY KEY (id),
  KEY scuser_id (scuser_id) USING BTREE,
  KEY trade_no (trade_no) USING BTREE,
  KEY trade_time (trade_time) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='支付交易表';


DROP TABLE IF EXISTS mydb_treemenu;
CREATE TABLE mydb_treemenu (
  category_id int(11) NOT NULL AUTO_INCREMENT,
  category_name varchar(50) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  category_parentid int(11) DEFAULT '0',
  category_status tinyint(1) DEFAULT '1',
  category_order int(11) DEFAULT NULL,
  category_shrink tinyint(1) DEFAULT '0' COMMENT '0为收缩1为展开',
  category_icon varchar(30) DEFAULT NULL,
  category_url varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  category_createtime datetime DEFAULT NULL,
  PRIMARY KEY (category_id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='功能菜单';

INSERT INTO mydb_treemenu VALUES ('1', '用户权限管理', '0', '1', '1', '1', 'ftsucai-74', '', '2011-05-22 10:06:08');
INSERT INTO mydb_treemenu VALUES ('2', '角色管理', '1', '1', '0', '0', null, 'rolelist.php', '2020-11-07 22:02:59');
INSERT INTO mydb_treemenu VALUES ('3', '帐号管理', '1', '1', '2', '0', null, 'userlist.php', '2011-05-22 10:06:08');
INSERT INTO mydb_treemenu VALUES ('4', '下载内容管理', '0', '1', '2', '1', 'ftsucai-19', '', '2011-05-22 10:06:08');
INSERT INTO mydb_treemenu VALUES ('5', '分类管理', '4', '1', '1', '0', '', 'categorylist.php', '2011-05-22 10:06:08');
INSERT INTO mydb_treemenu VALUES ('6', '内容管理', '4', '1', '2', '0', null, 'messagelist.php', '2011-05-22 10:06:08');
INSERT INTO mydb_treemenu VALUES ('7', '数据转移', '4', '1', '3', '0', '', 'movecate.php', '2011-08-29 09:14:28');
INSERT INTO mydb_treemenu VALUES ('8', '反馈错误', '4', '1', '5', '0', '', 'Errorlist.php', '2019-08-17 18:47:37');
INSERT INTO mydb_treemenu VALUES ('9', '系统参数设置', '0', '1', '6', '1', 'ftsucai-jshezhi', '', '2011-05-22 10:06:08');
INSERT INTO mydb_treemenu VALUES ('10', '参数配置', '9', '1', '1', '0', '', 'siteconfig.php', '2011-05-22 10:06:08');
INSERT INTO mydb_treemenu VALUES ('11', '缓存管理', '9', '1', '3', '0', null, 'clearcache.php', '2011-05-22 10:06:08');
INSERT INTO mydb_treemenu VALUES ('12', '日志管理中心', '0', '1', '4', '1', 'ftsucai-info', '', '2019-10-02 14:24:48');
INSERT INTO mydb_treemenu VALUES ('13', '支付日志', '12', '1', '1', '0', '', 'tradelog.php', '2019-10-02 14:26:35');
INSERT INTO mydb_treemenu VALUES ('14', '下载日志', '12', '1', '2', '0', '', 'downlog.php', '2019-10-02 17:15:04');
INSERT INTO mydb_treemenu VALUES ('15', '收藏日志', '12', '1', '3', '1', '', 'favlog.php', '2019-10-02 17:15:27');
INSERT INTO mydb_treemenu VALUES ('16', '上传日志', '12', '1', '4', '1', '', 'upload_log_list.php', '2020-11-15 00:31:52');
INSERT INTO mydb_treemenu VALUES ('17', '网站广告管理', '0', '1', '5', '1', 'ftsucai-214', '', '2019-08-15 23:40:32');
INSERT INTO mydb_treemenu VALUES ('18', '客户广告', '17', '1', '1', '0', '', 'adlist.php', '2019-08-15 23:41:20');
INSERT INTO mydb_treemenu VALUES ('19', '模板内容管理', '0', '1', '3', '1', 'ftsucai-105', '', '2019-08-21 23:45:03');
INSERT INTO mydb_treemenu VALUES ('20', '注册协议', '19', '1', '1', '0', null, 'content.php?a=agreement', '2019-08-21 23:47:48');
INSERT INTO mydb_treemenu VALUES ('21', '版权声明', '19', '1', '2', '0', null, 'content.php?a=copyright', '2019-08-21 23:48:08');
INSERT INTO mydb_treemenu VALUES ('22', '系统版本信息', '0', '1', '8', '1', 'ftsucai-help-2', '', '2019-11-05 13:58:57');
INSERT INTO mydb_treemenu VALUES ('23', '系统授权', '22', '1', '1', '0', null, 'version.php', '2019-11-05 13:59:26');
INSERT INTO mydb_treemenu VALUES ('24', '菜单控制中心', '0', '1', '0', '1', 'ftsucai-25', '', '2020-11-12 22:13:53');
INSERT INTO mydb_treemenu VALUES ('25', '菜单管理', '24', '1', '1', '1', '', 'treemenu.php', '2020-11-12 22:18:30');
INSERT INTO mydb_treemenu VALUES ('26', '菜单图标', '24', '1', '2', '1', '', 'ui_icons.php', '2020-11-13 10:26:10');

DROP TABLE IF EXISTS mydb_urlerror;
CREATE TABLE mydb_urlerror (
  id int(11) NOT NULL AUTO_INCREMENT,
  msg_id int(11) DEFAULT NULL,
  scuser_id int(11) DEFAULT NULL,
  flag tinyint(1) DEFAULT '0',
  addtime timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (id),
  KEY msg_id (msg_id) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=gbk COMMENT='用户反馈错误表';

DROP TABLE IF EXISTS mydb_role;
CREATE TABLE mydb_role (
  role_id tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  role_code varchar(20) NOT NULL DEFAULT '' COMMENT '角色标识',
  role_name varchar(100) NOT NULL DEFAULT '',
  is_system tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否系统默认',
  role_desc varchar(255) DEFAULT '',
  buildin tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否是系统内置角色（1-是 0-不是）',
  lastchanged timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (role_id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='角色表';

INSERT INTO mydb_role VALUES ('1', '001', '管理员', '0', '可以管理相关模块数据', '0', '2020-11-07 22:51:27');

DROP TABLE IF EXISTS mydb_scuser_role;
CREATE TABLE mydb_scuser_role (
  role_id tinyint(3) unsigned NOT NULL DEFAULT '0',
  scuser_id smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (role_id,scuser_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户角色关联表';

INSERT INTO mydb_scuser_role VALUES ('1', '1');

DROP TABLE IF EXISTS mydb_role_perm;
CREATE TABLE mydb_role_perm (
  id int(11) NOT NULL AUTO_INCREMENT,
  role_id tinyint(3) NOT NULL DEFAULT '0',
  category_parentid int(5) DEFAULT NULL,
  category_id int(5) NOT NULL DEFAULT '0' COMMENT '分类ID',
  op_value tinyint(3) DEFAULT NULL COMMENT '只读=0,添=1,改=2,删=3,审=4,导入=5,导出=6',
  lastchanged timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (id),
  KEY category_id (category_id) USING BTREE,
  KEY role_id (role_id) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='角色权限关联表';

INSERT INTO mydb_role_perm VALUES ('1', '1', '24', '25', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('2', '1', '24', '25', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('3', '1', '24', '25', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('4', '1', '24', '25', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('5', '1', '24', '25', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('6', '1', '24', '25', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('7', '1', '24', '25', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('8', '1', '24', '26', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('9', '1', '24', '26', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('10', '1', '24', '26', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('11', '1', '24', '26', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('12', '1', '24', '26', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('13', '1', '24', '26', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('14', '1', '24', '26', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('15', '1', '1', '2', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('16', '1', '1', '2', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('17', '1', '1', '2', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('18', '1', '1', '2', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('19', '1', '1', '2', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('20', '1', '1', '2', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('21', '1', '1', '2', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('22', '1', '1', '3', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('23', '1', '1', '3', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('24', '1', '1', '3', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('25', '1', '1', '3', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('26', '1', '1', '3', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('27', '1', '1', '3', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('28', '1', '1', '3', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('29', '1', '4', '5', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('30', '1', '4', '5', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('31', '1', '4', '5', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('32', '1', '4', '5', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('33', '1', '4', '5', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('34', '1', '4', '5', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('35', '1', '4', '5', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('36', '1', '4', '6', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('37', '1', '4', '6', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('38', '1', '4', '6', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('39', '1', '4', '6', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('40', '1', '4', '6', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('41', '1', '4', '6', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('42', '1', '4', '6', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('43', '1', '4', '7', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('44', '1', '4', '7', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('45', '1', '4', '7', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('46', '1', '4', '7', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('47', '1', '4', '7', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('48', '1', '4', '7', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('49', '1', '4', '7', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('50', '1', '4', '8', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('51', '1', '4', '8', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('52', '1', '4', '8', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('53', '1', '4', '8', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('54', '1', '4', '8', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('55', '1', '4', '8', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('56', '1', '4', '8', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('57', '1', '19', '20', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('58', '1', '19', '20', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('59', '1', '19', '20', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('60', '1', '19', '20', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('61', '1', '19', '20', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('62', '1', '19', '20', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('63', '1', '19', '20', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('64', '1', '19', '21', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('65', '1', '19', '21', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('66', '1', '19', '21', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('67', '1', '19', '21', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('68', '1', '19', '21', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('69', '1', '19', '21', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('70', '1', '19', '21', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('71', '1', '12', '13', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('72', '1', '12', '13', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('73', '1', '12', '13', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('74', '1', '12', '13', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('75', '1', '12', '13', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('76', '1', '12', '13', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('77', '1', '12', '13', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('78', '1', '12', '14', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('79', '1', '12', '14', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('80', '1', '12', '14', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('81', '1', '12', '14', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('82', '1', '12', '14', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('83', '1', '12', '14', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('84', '1', '12', '14', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('85', '1', '12', '15', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('86', '1', '12', '15', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('87', '1', '12', '15', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('88', '1', '12', '15', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('89', '1', '12', '15', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('90', '1', '12', '15', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('91', '1', '12', '15', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('92', '1', '12', '16', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('93', '1', '12', '16', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('94', '1', '12', '16', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('95', '1', '12', '16', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('96', '1', '12', '16', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('97', '1', '12', '16', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('98', '1', '12', '16', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('99', '1', '17', '18', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('100', '1', '17', '18', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('101', '1', '17', '18', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('102', '1', '17', '18', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('103', '1', '17', '18', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('104', '1', '17', '18', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('105', '1', '17', '18', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('106', '1', '9', '10', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('107', '1', '9', '10', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('108', '1', '9', '10', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('109', '1', '9', '10', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('110', '1', '9', '10', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('111', '1', '9', '10', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('112', '1', '9', '10', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('113', '1', '9', '11', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('114', '1', '9', '11', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('115', '1', '9', '11', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('116', '1', '9', '11', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('117', '1', '9', '11', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('118', '1', '9', '11', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('119', '1', '9', '11', '6', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('120', '1', '22', '23', '0', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('121', '1', '22', '23', '1', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('122', '1', '22', '23', '2', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('123', '1', '22', '23', '3', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('124', '1', '22', '23', '4', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('125', '1', '22', '23', '5', '2020-11-25 23:58:29');
INSERT INTO mydb_role_perm VALUES ('126', '1', '22', '23', '6', '2020-11-25 23:58:29');

DROP TABLE IF EXISTS mydb_upload_log;
CREATE TABLE mydb_upload_log (
  id int(11) NOT NULL AUTO_INCREMENT,
  uplod_type tinyint(4) DEFAULT '0' COMMENT '0为前台上传日志,1为后台上传日志',
  scuser_id int(11) DEFAULT NULL COMMENT '上传用户ID',
  ip_addr varchar(255) DEFAULT NULL COMMENT '来源IP',
  action_file varchar(255) DEFAULT NULL COMMENT '执行上传的文件',
  upload_file varchar(255) DEFAULT NULL COMMENT '上传的文件',
  add_time datetime DEFAULT NULL COMMENT '文件上传时间',
  PRIMARY KEY (id)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;